Package weka.gui.beans

# Interface EventConstraints

All Known Implementing Classes:
  `Associator`, `ClassAssigner`, `Classifier`, `ClassifierPerformanceEvaluator`, `ClassValuePicker`, `Clusterer`, `ClustererPerformanceEvaluator`, `CrossValidationFoldMaker`, `Filter`, `IncrementalClassifierEvaluator`, `InstanceStreamToBatchMaker`, `Loader`, `MetaBean`, `PredictionAppender`, `TestSetMaker`, `TextViewer`, `TrainingSetMaker`, `TrainTestSplitMaker`

public interface EventConstraints
Interface for objects that want to be able to specify at any given time whether their current configuration allows a particular event to be generated.

Version:
  $Revision: 1.3 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`boolean`
`eventGeneratable(String eventName)`
Returns true if, at the current time, the named event could be generated.

## Method Details

### eventGeneratable

boolean eventGeneratable(String eventName)
Returns true if, at the current time, the named event could be generated.

Parameters:
  `eventName` - the name of the event in question
Returns:
  true if the named event could be generated